/*
 * Open Service Platform
 * Copyright (c) 2012-2013  Samsung Electronics Co., Ltd
 *
 * Licensed under the Flora License, Version 1.1 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://floralicense.org/license/
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef __DEF_ADMIN_LBS_VIEW_MANAGER_H_
#define __DEF_ADMIN_LBS_VIEW_MANAGER_H_

#include <dlog.h>

#define LOC_UG_LOG_TAG 		"UG_SETTING_LOCATION"

#ifdef LOG_TAG
#undef LOG_TAG
#define LOG_TAG LOC_UG_LOG_TAG
#endif

#define LOC_LOG(fmt,args...) LOGD(fmt, ##args)
#endif				/* __DEF_ADMIN_LBS_VIEW_MANAGER_H__ */
