Name:       ug-setting-location-efl
Summary:    UG setting location EFL
Version:    0.3.46
Release:    1
Group:      System/Libraries
License:    Flora Software License
Source0:    %{name}-%{version}.tar.gz
BuildRequires: pkgconfig(elementary)
BuildRequires: pkgconfig(edje)
BuildRequires: pkgconfig(bundle)
BuildRequires: pkgconfig(ui-gadget-1)
BuildRequires: pkgconfig(location)
BuildRequires: pkgconfig(dlog)
BuildRequires: pkgconfig(capi-location-manager)
BuildRequires: edje-bin
BuildRequires: cmake
BuildRequires: gettext-tools 
Requires(post):   /sbin/ldconfig
Requires(post):   /usr/bin/vconftool
requires(postun): /sbin/ldconfig
%description
ug setting location efl.

%prep
%setup -q -n %{name}-%{version}

%build
export LDFLAGS+="-Wl,--rpath=%{_prefix}/lib -Wl,--as-needed -Wl,--hash-style=both"

LDFLAGS="$LDFLAGS" cmake . -DCMAKE_INSTALL_PREFIX=%{_prefix}

make %{?jobs:-j%jobs}

%install
%make_install


%post 
/sbin/ldconfig
mkdir -p /usr/ug/bin/
mkdir -p /usr/ug/res/locale/
ln -sf /usr/bin/ug-client /usr/ug/bin/setting-location-efl


%postun -p /sbin/ldconfig


%files
%manifest ug-setting-location-efl.manifest
%defattr(-,root,root,-)
/usr/ug/lib/libug-setting-location-efl.so*
/usr/share/packages/ug-setting-location-efl.xml
/usr/ug/res/edje/ug-setting-location-efl/setting-location.edj
/usr/ug/res/locale/*
